EBOOK-CONVERT(1)

NAME
ebook-convert - ebook-convert

            ebook-convert input_file output_file [options]

Muunna e-kirja muodosta toiseen.

input_file on tulo ja output_file on lähtö. Molemmat on määritettävä komennon kahdeksi ensimmäiseksi argumentiksi.

Tulostetun e-kirjan muoto arvataan output_file tiedostopäätteestä. output_file voi olla myös erikoismuodossa . EXT, jossa EXT on tulostetiedoston tunniste. Tässä tapauksessa tulostetiedostonimi johdetaan syöttötiedoston nimestä. Huomaa, että tiedostonimet eivät saa alkaa yhdysmerkillä. Lopuksi, jos output_file tiedostolla ei ole päätettä, sitä käsitellään kansiona ja HTML-tiedostoista koostuva "avoin e-kirja" (OEB) kirjoitetaan kyseiseen kansioon. Nämä tiedostot ovat tiedostoja, jotka normaalisti olisi välitetty lähtölaajennukseen.

Kun olet määrittänyt syöttö- ja tulostetiedoston, voit mukauttaa muunnosta määrittämällä erilaisia vaihtoehtoja. Käytettävissä olevat vaihtoehdot riippuvat syöttö- ja tulostetiedostotyypeistä. Saat apua niihin määrittämällä syöttö- ja tulostetiedoston ja käyttämällä sitten -h-vaihtoehtoa.

Muuntojärjestelmän täydellinen dokumentaatio: E-kirjan muuntaminen <#conversion>

Aina kun annat ebook-convert:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

Vaihtoehdot ja oletusarvot asetuksille vaihtuvat sekä lähde- että kohdeformaatin mukaan, joten tarkasta aina:
        ebook-convert myfile.input_format myfile.output_format -h

Alla on kaikille formaateille yhteiset vaihtoehdot, ja niiden jälkeen kunkin formaatin käytössä olevat lähde- ja kohdevaihtoehdot.

    •   INPUT-VALINNAT

    •   ULOSTULO-ASETUKSET

    •   ULKOASU

    •   HEURISTINEN PROSESSOINTI

    •   ETSI JA KORVAA

    •   RAKENTEEN TUNNISTUS

    •   SISÄLLYSLUETTELO

    •   METATIEDOT

    •   VIRHEENETSINTÄ

    --help, -h
        näytä tämä ohjeviesti ja poistu

    --input-profile
        Määritä syöttöprofiili. Syöttöprofiili antaa käännökselle järjestelmätiedot, joiden perusteella lukuisat syöttödokumentit tulkitaan. Esimerkiksi resoluution pituus (eli pituus pikseleinä). Vaihtoehdot ovat: cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, irexdr1000, irexdr800, kindle, msreader, mobipocket, nook, sony, sony300, sony900

    --list-recipes
        Luettelo sisäänrakennetuista resepteistä. Voit suorittaa muunnoksen sisäänrakennetulla reseptillä komennolla: ebook-convert "Reseptin Nimi.recipe" kohdenimi.epub

    --output-profile
        Määritä lähtöprofiili. Tulostusprofiili kertoo muunnosjärjestelmälle, miten luotu asiakirja optimoidaan määritettyä laitetta varten. Joissakin tapauksissa lähtöprofiilia voidaan käyttää optimoimaan lähtö tietylle laitteelle, mutta tämä on harvoin tarpeen. Vaihtoehtoja ovat mm.:cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_scribe, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_inkpad3, pocketbook_lux, pocketbook_hd, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony-landscape, sonyt3, tablet, generic_eink, generic_eink_hd, generic_eink_large

    --version
        näytä ohjelman versionumero ja poistu

INPUT-VALINNAT

Valinnat, jotka kontrolloivat input mobi tiedoston prosessointia

    --input-encoding
        Määritä dokumentin merkkien koodaus. Valittuna tämä vaihtoehto kumoaa kaiken dokumentin itsensä määräämän koodauksen. Tämä on erityisen käyttökelpoinen sellaisten dokumenttien kanssa, jotka eivät määrää koodausta tai joiden koodaus on virheellinen.

ULOSTULO-ASETUKSET

Asetukset, joilla kontrolloidaan ulostulo epub prosessointia

    --dont-split-on-page-breaks
        Poista käytöstä katkaisu sivunvaihtojen kohdalla. Tavallisesti lisätyt tiedostot katkaistaan sivunvaihtojen kohdalta erillisiin tiedostoihin. Tällainen e-kirja kyetään esittämään nopeammin ja kevyemmin. Katkaiseminen on kuitenkin hidasta ja jos lähdetiedostossa on suuri määrä sivunvaihtoja, katkaisu kannattaa poistaa käytöstä.

    --epub-flatten
        Tätä vaihtoehtoa tarvitaan vain, jos aiot käyttää EPUB-tiedostoa FBReaderJ:n kanssa. Se tasaa tiedostojärjestelmän EPUB:n sisällä, jolloin kaikki tiedostot ovat ylimmällä tasolla.

    --epub-inline-toc
        Lisää tekstiin sidottu sisällysluettelo, joka näkyy osana kirjan pääsisältöä.

    --epub-max-image-size
        Kuvan enimmäiskoko (leveys x korkeus). Arvo profile tarkoittaa, että käytä näytön kokoa lähtöprofiilista. Arvo none tarkoittaa, että enimmäiskokoa ei ole määritetty. Esimerkiksi arvo 100x200 aiheuttaa kaikkien kuvien koon muuttamisen siten, että niiden leveys on enintään 100 pikseliä ja korkeus enintään 200 pikseliä. Huomaa, että tämä vaikuttaa vain itse kuvatiedostojen kokoon. Mikä tahansa kuva voidaan renderöidä eri kokoisena riippuen siihen asiakirjassa käytetystä tyylistä.

    --epub-toc-at-end
        Lisää tekstiin sidottu sisällysluettelon kirjan loppuun alun sijaan.

    --epub-version
        Luotavan EPUB-tiedoston versio. EUPB 2 on yleisimmin yhteensopiva versio, käytä EPUB 3:a vain jos tiedät tarvitsevasi sitä.

    --extract-to
        Extract the contents of the generated book to the specified folder. The contents of the folder are first deleted, so be careful.

    --flow-size
        Jaa kaikki HTML-tiedostot jotka ovat tätä kokoa (KB) suurempia. Tämä on tarpeen, koska useimmat EPUB-lukijat eivät pysty käsittelemään suuria tiedostoja. Oletuskoko on %dKB, joka vaaditaan Adobe Digital Editionsiin. Aseta 0 KB estääksesi jakaminen kokonaan.

    --no-default-epub-cover
        Tavallisesti, jos lähdetiedostossa ei ole kansikuvaa ja et osoita sellaista, luodaan peruskansikuva otsikosta, tekijöistä jne. Tämä valinta poistaa toiminnon.

    --no-svg-cover
        Älä käytä kannessa SVG-kuvia. Käytä tätä asetusta jos EPUB-kirjaasi käytetään laitteessa joka ei tue SVG:itä, kuten iPhonessa tai Jetbook Litessa. Jos tätä ei ole asetettu, nämä laitteet näyttävät kannen tyhjänä sivuna.

    --preserve-cover-aspect-ratio
        Kun käytät SVG-kuvaa kantena, tämä valinta asettaa kannen peittämään koko näyttöalan, mutta säilyttää silti kuvasuhteen (leveyden ja korkeuden suhde). Kuvaan voi tällöin jäädä valkoiset reunukset, mutta kuva ei vääristy. Jos valintaa ei ole kytketty, kuva voi vääristyä hiemen, mutta reunuksia ei jää.

    --pretty-print
        Mikäli määritelty, laajennus yrittää luoda lähdön, joka on mahdollisimman luettava. Ei vaikuta välttämättä muiden tulokseen vaikuttavien lisäosien toimintaan.

    --toc-title
        Title for any generated inline table of contents.

ULKOASU

Asetukset, joilla kontrolloidaan ulostulon ulkoasua

    --asciiize
        Unicode-merkkien translitterointi ASCII-esitykseksi. Käytä varovasti, koska tämä korvaa Unicode-merkit ASCII-merkillä. Se korvaa esimerkiksi "Pelé" merkillä "Pele". Huomaa myös, että tapauksissa, joissa merkistä on useita esitystapoja (esimerkiksi kiinan ja japanin yhteiset merkit), käytetään nykyisen calibre-käyttöliittymän kielen mukaista esitystä.

    --base-font-size
        Normaali tekstin koko pisteinä (pt). Kaikki teksti tuotetaan tätä kokoa skaalaamalla. Suurempi koko suurentaa kaikkia tekstejä, ja toisinpäin. Oletuksena, jos arvona on 0, käytetään vientiprofiilissa asetettua arvoa.

    --change-justification
        Muuta tekstin kohdistusta. Arvo "vasen" muuttaa kaiken lähteen tekstin vasemmalle tasatuksi (eli tasaamattomaksi) tekstiksi. Arvo "tasaa" muuttaa kaiken tasoittamattoman tekstin tasoitetuksi. Arvo "alkuperäinen" (oletusarvo) ei muuta lähdetiedoston tekstin tasausta. Huomaa, että vain jotkin lähtöformaatit tukevat tasausta.

    --disable-font-rescaling
        Poista kaikki fonttikokojen skaalaukset käytöstä.

    --embed-all-fonts
        Upota kaikki dokumentissa viitatut fontit jos ne eivät ole jo upotettuina. Fontteja etsitään järjestelmästäsi, ja läydetyt fontit upotetaan. Upottaminen toimii vain sitä tukevissa formaateissa, kuten EPUB, AZW3, DOCX ja PDF. Varmistathan, että sinulla on lisenssi fontin upottamiseen.

    --embed-font-family
        Upota valittu fonttitiedosto kirjaan. Tästä tulee kirjan "perusfontti". Jos lähdetiedostossa on omat fonttinsa, ne voivat ohittaa tämän fontin. Voit käyttää tyyliasetusten suodatusta lähdetiedoston fonttien poistamiseen. Huomaa, että fontin upottaminen toimii vain joissakin formaateissa, kuten EPUB, AZW3 ja DOCX.

    --expand-css
        Oletuksena calibre käyttää CSS-määritysten lyhennettyjä muotoja, mm. marginaali, täyte, reunus jne. Valinta kytkee käyttöön täydet, laajennetut muodot. Nook ei pysty käsittelemään lyhennettyjä muotoja, ja Nookin muunnosprofiilit käyttävät aina laajennettua muotoa EPUB-tiedostoissa.

    --extra-css
        Joko CSS-tyylisivun polku tai raaka CSS. Tämä CSS liitetään lähdetiedoston tyylisääntöihin, joten sitä voidaan käyttää näiden sääntöjen ohittamiseen.

    --filter-css
        Pilkuin erotettu lista CSS-määreitä, jotka poistetaan kaikista CSS-säännöistä. Hyödyllistä, jos jonkin tyylimäärityksen ohittaminen ei muuten onnistu. Esimerkiksi: font-family,color,margin-left,margin-right

    --font-size-mapping
        CSS-fonttien nimien yhdistäminen fonttikokoihin pisteinä. Esimerkkiasetus on 12,12,14,16,18,20,22,24. Nämä ovat yhdistelmät kokoja xx-pieni- xx-suuri varten, ja viimeinen koko on valtaville fonteille. Fonttien skaalausalgoritmi käyttää näitä kokoja fonttien älykkääseen skaalaukseen. Oletusarvoisesti käytetään valitsemaasi lähtöprofiiliin perustuvaa kartoitusta.

    --insert-blank-line
        Lisää tyhjä rivi kappaleiden väliin. Ei toimi, jos lähdetiedosto ei käytä kappaleita (<p> tai <div> -tageja).

    --insert-blank-line-size
        Aseta tyhjien lisättyjen rivien korkeus (em). Rivien korkeus on kaksi kertaa tämä arvo.

    --keep-ligatures
        Preserve ligatures present in the input document. A ligature is a combined character of a pair of characters like ff, fi, fl et cetera. Most readers do not have support for ligatures in their default fonts, so they are unlikely to render correctly. By default, calibre will turn a ligature into the corresponding pair of normal characters. Note that ligatures here mean only unicode ligatures not ligatures created via CSS or font styles. This option will preserve them instead.

    --line-height
        Rivinkorkeus pisteinä (pt). Tekstirivien välistys. Koskee vain elementtejä, jotka eivät määrittele omaa rivinkorkeuttaan. Useimmiten minimirivinkorkeus on hyödyllisempi asetus. Oletuksena ei suoriteta mitään rivinkorkeuden muokkausta.

    --linearize-tables
        Jotkin huonosti suunnitellut dokumentit käyttävät taulukoita tekstin asetteluun sivulle. Muunnoksessa niiden rivit usein venyvät sivun ulkopuolelle yms. Tämä valinta purkaa sisällön taulukoista ja esittää sen rivitetyssä muodossa.

    --margin-bottom
        Aseta alamarginaali pisteinä (pt). Oletus on 5.0. Nollaa pienempi luku estää marginaalin asettamisen (jolloin säilytetään alkuperäisen dokumentin marginaali). Huom: Sivupohjaisilla formaateilla kuten DOCX ja PDF on omat marginaalisetuksensa, jotka ohittavat tämän.

    --margin-left
        Aseta vasen marginaali pisteinä (pt). Oletus on 5.0. Nollaa pienempi luku estää marginaalin asettamisen (jolloin säilytetään alkuperäisen dokumentin marginaali). Huom: Sivupohjaisilla formaateilla kuten DOCX ja PDF on omat marginaalisetuksensa, jotka ohittavat tämän.

    --margin-right
        Aseta oikea marginaali pisteinä (pt). Oletus on 5.0. Nollaa pienempi luku estää marginaalin asettamisen (jolloin säilytetään alkuperäisen dokumentin marginaali). Huom: Sivupohjaisilla formaateilla kuten DOCX ja PDF on omat marginaalisetuksensa, jotka ohittavat tämän.

    --margin-top
        Aseta ylämarginaali pisteinä (pt). Oletus on 5.0. Nollaa pienempi luku estää marginaalin asettamisen (jolloin säilytetään alkuperäisen dokumentin marginaali). Huom: Sivupohjaisilla formaateilla kuten DOCX ja PDF on omat marginaalisetuksensa, jotka ohittavat tämän.

    --minimum-line-height
        Rivinkorkeuden minimi, prosenttiarvona lasketusta tekstielementin korkeudesta. calibre tarkastaa, että kaikilla elementeillä on vähintään tämä rivinkorkeus, riippumatta lähdetiedoston asetuksista. Aseta 0 poistaaksesi käytöstä. Oletus on 120%. Käytä tätä asetusta suoran rivikorkeuden sijaan, ellet ole varma että haluat tehdä toisin. Esimerkiksi "tuplarivin" saat asettamalla arvoksi 240.

    --remove-paragraph-spacing
        Poista kappaleiden väliset tyhjät rivit. Asettaa myös 1.5 em sisennyksen kappaleisiin. Välistyksen poistaminen ei toimi, jos lähdetiedosto ei käytä kappaleita (<p> tai <div> tägi).

    --remove-paragraph-spacing-indent-size
        Kun calibre poistaa tyhjiä rivejä kappaleiden välistä, se asettaa myös kappalesisennyksen, jotta kappaleet ovat erotettavissa. Arvo asettaa sisennyksen leveyden (em). Jos asetat negatiivisen arvon, säilytetään lähdetiedoston kappalesisennys.

    --smarten-punctuation
        Convert plain quotes, dashes and ellipsis to their typographically correct equivalents. For details, see: <https://daringfireball.net/projects/smartypants>.

    --subset-embedded-fonts
        Tiivistä kaikki upotetut fontit. Jokainen upotettu fontti pienennetään siten, että se sisältää vain tässä asiakirjassa käytetyt merkit. Tämä pienentää fonttitiedostojen kokoa. Hyödyllinen, jos upotat erityisen suuren fontin, jossa on paljon käyttämättömiä merkkejä.

    --transform-css-rules
        Polku tiedostoon jossa on sääntöjä käytettäväksi kirjan CSS-tyylien muunnoksessa. Helpoin tapa tällaisen tiedoston luomiseen on käyttää graafisen käyttöliittymän aputoimintoa sääntöjen luomiseen, "Ulkoasu -> Muunnostyylit"-osassa muunnosikkunaa. Kun olet määritellyt säännöt, voit tallentaa ne tiedostoon "Vie"-painikkeella.

    --transform-html-rules
        Polku tiedostoon, joka sisältää säännöt tämän kirjan HTML:n muuttamiseksi. Helpoin tapa luoda tällainen tiedosto on käyttää ohjattua sääntöjen luomista calibre GUI:ssä. Siirry siihen muuntamisvalintaikkunan "Käyttötuntuma->Muunna HTML" -osiossa. Kun olet luonut säännöt, voit käyttää "Vie"-painiketta tallentaaksesi ne tiedostoon.

    --unsmarten-punctuation
        Muunna typografisesti tarkat lainausmerkit, väliviivat ja perättäiset pisteet niiden tavanomaisiksi vastineiksi.

HEURISTINEN PROSESSOINTI

Muokkaa dokumentin tekstiä ja rakennetta yleisillä sääntömalleilla. Oletuksen poissa käytöstä. Käytä --enable-heuristics ottaaksesi käyttöön. Yksittäisiä toimintoja voi sammuttaa --disable-
*
-valinnoilla.

    --disable-dehyphenate
        Analysoi dokumentin tavutetut sanat. Dokumentin omaa sisältöä käytetään tunnistamaan tulisiko väliviiva poistaa vai säilyttää.

    --disable-delete-blank-paragraphs
        Poista tyhjät kappaleet kappaleiden välistä

    --disable-fix-indents
        Muunna perättäisistä sitovista välilyönneistä tehdyt sisennykset CSS-sisennyksiksi.

    --disable-format-scene-breaks
        Vasempaan tasatut kohtausten vaihdokset keskitetään. Korvaa useilla tyhjillä riveillä tehdyn kohtausten vaihdoksen vaakaviivalla.

    --disable-italicize-common-cases
        Etsi yleisiä sanoja sekä rakenteita joilla merkitään kursivointeja ja kursivoi nämä kohdat.

    --disable-markup-chapter-headings
        Tunnista muotoilemattomat lukujen otsikot ja alaotsikot. Muunna ne h2 ja h3 tageiksi. Tästä ei vielä muodostu sisällysluetteloa, mutta toimintoa voidaan hyödyntää rakenteen luomisessa sisällysluettelon generoimisen yhteydessä.

    --disable-renumber-headings
        Etsii perättäisiä <h1> tai <h2> tageja. Tagit numeroidaan uudelleen, jotta lukujen otsikot eivät katkea kesken.

    --disable-unwrap-lines
        Poista turhat rivinvaihdot päättelemällä kappaleet välimerkeistä ja muista muista muotoiluista.

    --enable-heuristics
        Ota heuristinen prosessointi käyttöön. Valinta vaaditaan, jotta heuristista prosessointia suoritetaan.

    --html-unwrap-factor
        Pituuden suhdeluku, jolla arvioida mistä riveistä tulisi poistaa rivitys. Käyvät arvot ovat desimaalilukuja välillä 0-1. Oletus on 0.4, hiukan rivipituuksien mediaanin alapuolella. Jos vain harvoista dokumentin riveistä tarvitsee poistaa rivitys, tarvitaan pienempi suhdeluku

    --replace-scene-breaks
        Korvaa kohtausten vaihdokset asetetulla tekstillä. Oletuksena käytetään lähdetiedoston tekstiä.

ETSI JA KORVAA

Muokkaka dokumentin tekstiä ja rakennetta käyttäjän asettamilla säännöillä.

    --search-replace
        Polku tiedostoon jossa on etsi ja korvaa -regular expressionit. Tiedoston tulee muodostua perättäisistä riveistä, hakulauseke ja korvauslauseke (joka voi olla myös tyhjä rivi). Lausekkeen tulee noudattaa Python regex -syntaksia ja tiedoston tulee käyttää UTF-8-merkistöä.

    --sr1-replace
        Korvaava teksti sr1-searchilla löydetylle tekstille.

    --sr1-search
        Hakulauseke (regular expression) joka korvataan sr1-replacella.

    --sr2-replace
        Korvaava teksti sr2-searchilla löydetylle tekstille.

    --sr2-search
        Hakulauseke (regular expression) joka korvataan sr2-replacella.

    --sr3-replace
        Korvaava teksti sr3-searchilla löydetylle tekstille.

    --sr3-search
        Hakulauseke (regular expression) joka korvataan sr3-replacella.

RAKENTEEN TUNNISTUS

Kontrolloi asiakirjan rakenteen automaattista tunnistusta.

    --add-alt-text-to-img
        When an <img> tag has no alt attribute, check the associated image file for metadata that specifies alternate text, and use it to fill in the alt attribute. The alt attribute improves accessibility by providing text descriptions for users who cannot see or fully interpret visual content.

    --chapter
        XPath-lauseke kappaleotsikoiden poimimiseksi. Oletuksena huomioidaan <h1> tai <h2> tägit joissa on sanat "chapter", "book", "section", "prologue", "epilogue" tai "part" kappaleiden otsikkoina, kuten myös tagit joiden luokka="kappale". Lauseke tulee kääntyä listaksi elementtejä. Poista otsikoiden tunnistaminen käytöstä arvolla "/". Katso calibren käyttöohjeesta XPathin käyttöopastus.

    --chapter-mark
        Aseta lukujen merkintätapa. Arvo "pagebreak" lisää sivunvaihdot ennen lukuja. Arvo "rule" lisää vaakaviivan ennen lukuja. Arvo "none" estää lukujen merkitsemisen ja arvo "both" lisää sekä sivunvaihdon että vaakaviivan.

    --disable-remove-fake-margins
        Joissakin dokumenteissa oikea ja vasen marginaali on ilmoitettu jokaiselle kappaleelle erikseen. calibre pyrkii etsimään ja poistamaan tällaiset marginaalit. Joskus kuitenkin poistuu vääriä marginaaliasetuksia Voit estää poiston tällä valinnalla.

    --insert-metadata
        Lisää metadata kirjan alkuun. Hyödyllistä, jos lukulaitteesi ei tue metadatan normaalia esittämistä/hakua.

    --page-breaks-before
        XPath-lauseke. Lisää sivunvaihdot ennen tiettyjä elementtejä. Poista käytöstä lausekkeella: /

    --prefer-metadata-cover
        Käytä lähdetiedostosta löydettyä kansikuvaa määritetyn kannen sijasta.

    --remove-first-image
        Poista e-kirjan ensimmäinen kuva. Hyödyllistä, jos lähdetiedostossa on kansikuva, jota ei tunnisteta kanneksi. Jos asetat oman kansikuvan sen sijaan, tämä valinta estää kahden kannen muodostumisen kirjaan.

    --start-reading-at
        XPath-lauseke lukemisen aloituskohdan löytämiseen dokumentista. Jotkin lukuohjelmat (etenkin Kindle) käyttävät tätä kohtaa kirjan avaamiseen. Katso lisäominaisuuksia XPath-opastuksesta calibre-käyttöohjeesta.

SISÄLLYSLUETTELO

Kontrolloi Sisällysluettelon automaattista luomista. Oletuksena, jos lähdetiedostolla on Sisällysluettelo, sitä käytetään automaattisesti luodun sijaan.

    --duplicate-links-in-toc
        Salli sisällysluettelossa toistuvat rivit, eli samansisältöiset rivit, kunhan ne osoittavat eri kohtiin dokumentissa.

    --level1-toc
        XPath-lauseke, joka määrittää kaikki tagit, jotka on lisättävä sisällysluetteloon tasolla yksi. Jos tämä määritetään, se on ensisijainen muihin automaattisen tunnistuksen muotoihin nähden. Katso esimerkkejä calibren käyttöoppaan XPath-oppaasta.

    --level2-toc
        XPath-lauseke, joka määrittää kaikki tagit, jotka on lisättävä sisällysluetteloon tasolla kaksi. Jokainen merkintä lisätään edellisen tason yksi merkinnän alle. Katso esimerkkejä calibren käyttöoppaan XPath-oppaasta.

    --level3-toc
        XPath-lauseke, joka määrittää kaikki tagit, jotka on lisättävä sisällysluetteloon tasolla kolme. Jokainen merkintä lisätään edellisen tason kaksi merkinnän alle. Katso esimerkkejä calibren käyttöoppaan XPath-oppaasta.

    --max-toc-links
        Maksimimäärä linkkejä sisällysluettelossa. 0 poistaa rajan käytöstä. Oletus: 50. Linkit lisätään sisällysluetteloon vain jos lukuja on tätä arvoa vähemmän.

    --no-chapters-in-toc
        Älä lisää automaattisesti havaittuja lukuja sisällysluetteloon.

    --toc-filter
        Poista sisällysluettelosta rivit, joiden sisältö vastaa asetettua regexp-lauseketta. Nämä rivit sekä niiden alarivit karsitaan luettelosta.

    --toc-threshold
        Jos lukuja löydetään vähemmän kuin tämä lukumäärä, sisällysluetteloon asetetaan linkit. Oletus: 6

    --use-auto-toc
        Yleensä, jos tiedostossa on jo sisällysluettelo, sitä käytetään automaattisesti luodun sijaan. Valinta asettaa aina käyttöön automaattisesti luodun sisällysluettelon.

METATIEDOT

Asetukset lähdön metadatalle

    --author-sort
        Teksti jota käytetään tekijän mukaan järjestämiseen.

    --authors
        Aseta tekijät. Useammat tekijät erotetaan puolipisteillä.

    --book-producer
        Aseta kirjan tuottaja.

    --comments
        Aseta kirjan kuvaus.

    --cover
        Aseta kansi osoitetusta tiedostosta tai URL:stä

    --isbn
        Anna kirjan ISBN.

    --language
        Anna kieli.

    --pubdate
        Aseta julkaisupäivämäärä (oletetaan käyttävän paikallista aikavyöhykettä, ellei aikavyöhykettä ilmoiteta erikseen)

    --publisher
        Aseta kirjan julkaisija.

    --rating
        Aseta arvosana. Luku 1-5.

    --read-metadata-from-opf, --from-opf, -m
        Lue metadata osoitetusta OPF-tiedostosta. Luettu metadata ohittaa lähdetiedostosta löytyvät tiedot.

    --series
        Aseta sarja johon kirja kuuluu.

    --series-index
        Aseta kirjan järjestysnumero sarjassa.

    --tags
        Aseta kirjan tägit. Muotona pilkuin erotettu lista.

    --timestamp
        Aseta kirja aikaleima (ei enää käytössä missään)

    --title
        Anna otsikko.

    --title-sort
        Nimen muoto jota käytetään järjestämiseen.

VIRHEENETSINTÄ

Asetukset, joilla muunnoksen vianmääritystä helpotetaan

    --debug-pipeline, -d
        Tallenna muuntoputken eri vaiheiden tuotokset määritettyyn kansioon. Hyödyllinen, jos et ole varma, missä vaiheessa muuntoprosessia virhe ilmenee.

    --verbose, -v
        Kuvausten tarkkuustaso. Useampi määrittely tuottaa yksityiskohtaisemmat kuvaukset. Kaksinkertainen asetus tuottaa täyden tarkkuustason, yksi kerta keskimääräisen ja nolla kertaa vähäisimman tarkkuustason.

Author
Kovid Goyal

Copyright
Kovid Goyal